[PATCH 6/6] selftests: forwarding: router_mpath_seed: skip tests if tools or feats are missing

From: Aleksei Oladko

Date: Tue Jan 20 2026 - 18:02:41 EST


The router_mpath_seed.sh selftest assume the presence of iproute2
support for the `hw_stats` keyword in `ip nexthop` commands. These
assumptions can cause test failures.

This patch improves test robustness by skipping the test if
ip nexthop add help does not mention hw_stats

Signed-off-by: Aleksei Oladko <aleksey.oladko@xxxxxxxxxxxxx>
---
tools/testing/selftests/net/forwarding/router_mpath_seed.sh | 2 ++
1 file changed, 2 insertions(+)

diff --git a/tools/testing/selftests/net/forwarding/router_mpath_seed.sh b/tools/testing/selftests/net/forwarding/router_mpath_seed.sh
index 314cb906c1eb..d9dc5d3a10d5 100755
--- a/tools/testing/selftests/net/forwarding/router_mpath_seed.sh
+++ b/tools/testing/selftests/net/forwarding/router_mpath_seed.sh
@@ -322,6 +322,8 @@ test_mpath_seed_stability_ipv6()
-p 64 -d 0 -c 10 -t udp
}

+run_cmd_grep 'hw_stats' ip nexthop add help || exit $ksft_skip
+
trap cleanup EXIT

setup_prepare
--
2.43.0